package osoby;

import java.time.DayOfWeek;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.Period;
import java.time.format.TextStyle;
import java.util.Locale;

public class Wydzielanie {

    public static void main(String[] args) {
        final LocalDateTime now = LocalDateTime.now();
        System.out.println("Teraz jest " + now);
        System.out.println("Bieżąca sekunda " + now.getSecond());

        DayOfWeek dayOfWeek = now.getDayOfWeek();
        System.out.println(dayOfWeek);
        System.out.println(dayOfWeek.getDisplayName(TextStyle.FULL, Locale.US));

        new Wydzielanie().run();
    }

    private void run() {
        Osoba osoba = new Osoba("Ala", "Kowalska", LocalDate.now());
        System.out.println(osoba);
        System.out.println(osoba.getImie() + " " + osoba.getNazwisko());

        wypiszWiek(osoba);
    }

    private void wypiszWiek(Osoba osoba) {
        int wiek = Period.between(osoba.getDataUrodzenia(), LocalDate.now()).getYears();
        System.out.println("Osoba " + osoba.getImie() + " ma " + wiek + " lat.");

    }

}
